<?php
require_once("plugins/sz7language/db.inc.php") or die("Couldn't load db");

// autentikcs osztly
class AUTH {

    var $_loggedin;
    var $_nick;
    var $_login;
    var $_jogok;
    var $_jelszo_id;

    // Konstruktor
    function __construct(){
        // Ki kell lptetni?
        if (isset($_POST['kilepes']) and $_POST['kilepes']) { 
        	$this->logOut();
        }

        // Inicializls
        if (!isset($_SESSION['usr_logintry'])){ $_SESSION['usr_logintry'] = 0; }
        if (!isset($_SESSION['usr_loggedin'])){ $_SESSION['usr_loggedin'] = false; }

        // Belptets ellenrzse
        if ($_SESSION['usr_loggedin']) {
            //Be van mr jelentkezve -> betltjk az adatait
            $this->loadProperties($_SESSION['usr_szemely_id'],$_SESSION['usr_jelszo_id']);
        }
        else {
            //Nincs mg bejelentkezve -> belptetjk
            if( isset($_POST['loginnev']) and $_POST['loginnev'] != '' and isset($_POST['jelszo']) and $_POST['jelszo'] != '') {
                //Kitlttte mr a login formot
                $this->logIn($_POST['loginnev'], $_POST['jelszo']);
            }
/*
            else {
                //Mg nem tlttte ki a login formot
                $this->loginForm1();
            }
*/
        }

        return true;
    }
    
    // Felhasznl adatainak betltse
    function loadProperties($szemely_id, $jelszo_id) {
        $db = new DB('sz7lng');
        $query = "select * from szemely where SzemelyID = '".$szemely_id."'";
        $properties = $db->dbSelectArray($query);

        //Tulajdonsgok betltse
        $this->_loggedin = true;
        $this->_nick = $properties[0]['Megszolitas'];
        $this->_jelszo_id = $jelszo_id;
        $this->_login = $_SESSION['usr_login'];

        //Jogosultsgok betltse
        $this->_jogok = array();
        $query = "SELECT constname FROM jog";
        $result = $db->dbSelectArray($query);
        foreach ($result as $key => $actual) {
        	$osszjog[$actual['constname']] = 0;
        	if ($jelszo_id == 1) { $osszjog[$actual['constname']] = 1; } // hmm idszer lenne kivenni - Alpr
        }
        $query = "SELECT jog.constname FROM jog left join jelszojog on (jog.jogid = jelszojog.jogid) WHERE jelszojog.jelszoid = ".$jelszo_id;
        $result = $db->dbSelectArray($query);
        $jogok = array();
        foreach ($result as $key => $actual) {
        	$jogok[$actual['constname']] = 1;
        }
        $this->_jogok = array_merge($osszjog, $jogok);
        $_SESSION["jogok"] = $this->_jogok;
        
        $db->dbDestroy();
        return true;
    }

    // Belptets
    function logIn($login, $jelszo){
        $db = new DB(DBNAME);
        $query = "select * from user where name='".$login."' and cryptpsw=password('".$jelszo."')";
        $result = $db->dbSelectArray($query);
        if(count($result) == 1){
            //Sikeres belps
            $_SESSION['usr_loggedin'] = true;
            $_SESSION['usr_szemely_id'] = $result[0]['ID'];
            $_SESSION['usr_login'] = $login;
            $this->lastLoginUpdate($result[0]['ID']);
//            $this->loadProperties($_SESSION['usr_szemely_id'],$_SESSION['usr_jelszo_id']);
        }
        else{
            //Sikertelen belps
            $_SESSION['usr_logintry']++;
            return false;
        }

//        $db->dbDestroy();
        return true;
    }
    
    // Utols belps dtuma
    function lastLoginUpdate($jelszo_id) {
        $db = new DB(DBNAME);
        $query = "update jelszo set UtsoBelepes = current_timestamp() where JelszoID = '".$jelszo_id."'";
        $db->dbQuery($query);

        $db->dbDestroy();
        return true;
    }
    
    // login form tblzat
    function loginForm1(){
        if(!isset($_POST['loginnev'])) { $login = ""; } else { $login = $_POST['loginnev']; }
        echo "<form name='auth' method='post'>";
        echo "<br><br><br><br><br><br><br><br><center><table class='box'>";
        echo "<tr><td colspan='2' class='head_td'>Belps</td></tr>";
        if($_SESSION['usr_logintry'] > 0) { echo "<tr><td colspan='2'><b>Hibs login nv vagy jelsz(".$_SESSION['usr_logintry'].")!</b></td></tr>"; }
        echo "<tr><td>Login:</td><td><input name='loginnev' value='".$login."'></td></tr>";
        echo "<tr><td>Jelsz:</td><td><input name='jelszo' type='password'></td></tr>";
        echo "<tr><td colspan='2' align='center'><input type='submit' value='Belps'></td></tr>";
        //echo "<tr><td><a href=''>Regisztrci</a></td><td><a href=''>Elfelejtettem...</a></td></tr>";
        echo "</table>";
        echo "</form>";
        echo "<script>document.auth.loginnev.focus();</script>";
        exit;
    }
    
    // kilps
    function logOut(){
        //session_destroy();
        $_SESSION = array();
        $this->_loggedin = false;
        return true;
    }

    // kilptet form
    function logOutForm1(){
        echo "<form name='kilep' action='".$_SERVER['SCRIPT_NAME']."' method='post'>";
        echo "<input name='kilepes' type='hidden' value='1'>";
        echo "<input type='submit' value='Kilps'>";
        echo "</form>";
        return true;
    }

}

?>
