<?php
require_once("config.inc.php");

// IO class
class IO {
	var $titletext;
    var $sitewidth;

    // Konstruktor
    function IO()
	{
		if(!isset($_SESSION))
		{
			error_reporting(0);
			//session_set_cookie_params(0, '/', '.3szs.hu');
			session_start();
			
			if(!isset($_SESSION['LNG']))
				$_SESSION['LNG'] = DEFLNG;
		}
		
	    $this->titletext = $this->getText("CAPTION_LONG");
            $this->sitewidth = "100%";

        return true;
    }

    function renderLngs($akcio, $nodename)
	{
        echo "<div class='lngdivouter'>";
			echo "<div class='lngdivinner'>";
			$lngs = $this->getLngs();
			$i = 0;
			foreach ($lngs as $actual) {
				if ($_SESSION['LNG'] == $actual["FILENAME"])
					echo"<img class='lngactive' src='./style/" . $actual["FILENAME"] . ".gif' alt='" . $actual["LNGNAME"] . "'>&nbsp;";
				else
					echo"<a title='".$actual["LNGNAME"]."' href='./scr_news.php?lng=".$actual["FILENAME"]."&nodename=".$nodename."'><img class='lnginactive' src='./style/" . $actual["FILENAME"] . ".gif' alt='" . $actual["LNGNAME"] . "'></a>&nbsp;";
				//echo"<br>";
			}
			echo "</div>";
        echo "</div>";
        return true;
    }
    
    // Oldal fejl�c
    function pageHeader($akcio="", $nodename="")
	{
		if($nodename == ""){
			$nodename = "main";
		}		
		if($akcio == ""){
			$akcio = 0;
		}

	    $arrayTopMenu = $this->getFilledTopMenuArray();
	    $arrayBottomMenu = $this->getFilledBottomMenuArray();
		
		$titletext = $this->getText("CAPTION_SHORT");
		
		if(isset($arrayTopMenu[$akcio]))
		  $titletext = $this->getText($arrayTopMenu[$akcio]["caption"])." - ".$this->getText("CAPTION_SHORT");

	    if(isset($arrayBottomMenu[$nodename]))
		  $titletext = $this->getText($arrayTopMenu[$akcio]["caption"])." - ".$this->getText($arrayBottomMenu[$nodename]["caption"])." - ".$this->getText("CAPTION_SHORT");

		if(!isset($arrayTopMenu[$akcio])&&!isset($arrayBottomMenu[$nodename]))
		  $titletext = $this->getText("CAPTION_LONG");

		if (substr_count($_SERVER['HTTP_ACCEPT_ENCODING'], 'gzip')){
			ob_start("ob_gzhandler");
		}
		else{
			ob_start();
		}

   		echo "<!DOCTYPE HTML>";
        echo "<html>";
        echo "<head>";
        echo "<title>".$titletext."</title>";
        echo "<META HTTP-EQUIV='Content-Type' CONTENT='text/html; charset=iso-8859-2'>
				<meta name=\"description\" content=\"".$titletext."\">
				<meta name=\"keywords\" content=\"".$titletext." ";				
		include_once("pages/".$_SESSION['LNG']."/keywords.inc");
		echo "\">";
        echo "<link rel='stylesheet' href='style/style.css'>";
        echo "<link rel='shortcut icon' href='./favicon.ico' type='image/x-icon'>";

//		echo "<script type=\"text/javascript\" src=\"jquery.js\"></script>";
//		echo "<script type=\"text/javascript\" src=\"jquery.lightbox.js\"></script>";
//		echo "<script type=\"text/javascript\" src=\"jquery.hoverIntent.minified.js\"></script>";
//		echo "<script type=\"text/javascript\" src=\"jquery.timer.js\"></script>";		
		
        echo "</head>";
        echo "<body>";
        echo "<table class='maintable' width='".$this->sitewidth."' border='0' cellspacing='0' cellpadding='0' summary='".$titletext."'>";
			echo "<tr style='height:0px'>";
				echo "<td width='".$this->sitewidth."' valign='top'>";
					if ((isset($_SESSION['usr_loggedin'])) && ($_SESSION['usr_loggedin'] == "true"))
					{
						echo "<div class='footerdiv' style='width:99%'>";
						echo "<span class='date' style='float:right;'>";
						echo $this->toDay();
						echo "</span>";									
						echo "<a href='index.php'>".$this->getText("JUMPTOINDEX")."</a>";
						$this->menuBar($this->sitewidth, $akcio, $nodename);			
						$this->renderLngs($akcio, $nodename);
						echo "</div>";
						echo "<br>";
					}
				echo "</td>";
			echo "</tr>";
        echo "</table>";
        echo "<table class='maintable' width='".$this->sitewidth."' border='0' cellspacing='0' cellpadding='0' summary='".$titletext."'>";
			echo "<tr>";
				echo "<td height='100%' valign='top'>";
					echo "<div class='tilecontainer' style='width:".$this->sitewidth.";'>";
    }

    // Oldal l�br�sz
    function pageFooter(){
					if ((isset($_SESSION['usr_loggedin'])) && ($_SESSION['usr_loggedin'] == "true"))
					{
						echo "<table class='footerdiv' style='width:100%' border='0' cellspacing='0' cellpadding='0'>
								  <tr align='left' valign='top'>
									<td height='30' style=\"background-image:url('./style/topframinside_bottom.png');\" align='right'>";
									echo "<span style='float:left;'>";
										if ((isset($_SESSION['usr_loggedin'])) && ($_SESSION['usr_loggedin'] == "true"))
											echo "<a href='./scr_login.php'><img src='style/loggedin.png' alt='" . $titletext . "-Loggedin' border='0'></a>";
										else
											echo "<a href='./scr_login.php'><img src='style/login.png' alt='" . $titletext . "-Login' border='0'></a>";

										if ((isset($_SESSION['usr_loggedin'])) && ($_SESSION['usr_loggedin'] == "true"))
											echo "<span class='username'>" . $this->getText("LOGGEDIN") . ": </span><span class='newscontent'>" . $_SESSION['usr_login'] . "</span><span class='username'> " . $this->getText("WITHNAME") . ". R1{" . $_SESSION['usr_r1'] . "}</span>";
									//$this->renderSiteMap();
									echo "</span>";
									//echo "<a href=\"http://validator.w3.org/check?uri=referer\" target=\"_blank\"><img border=\"0\" src=\"http://www.w3.org/Icons/valid-html401\" alt=\"Valid HTML 4.01 Transitional\" height=\"28\" width=\"85\"></a>";
									//echo "<img border=\"0\" src=\"./style/tilebox-logo.png\" alt=\"powered by: Chrizom's Tilebox\" height=\"25\" width=\"32\">";
								echo "</td>";
							echo "</tr>";
						echo "</table>";
					}
					echo "</div>";
				echo "</td>";
			echo "</tr>";
		echo "</table>";
        echo "</body>";
        echo "</html>";
    }

    function renderSiteMap()
	{
		echo "<a href='./scr_news.php?akcio=sitemap' title='".$this->titletext." - ".$this->getText("SITEMAP")."'>";
		echo $this->getText("SITEMAP");
		echo "</a>";
	}
    
    function menuBar($width="100%", $akcio="", $nodename="")
	{
	
	  $background_top = "style/menubar_pattern.jpg";
	  $background_bottom = "style/menubar_bottom_pattern.jpg";
	  
	  $arrayTopMenu = $this->getFilledTopMenuArray();
	  $arrayBottomMenu = $this->getFilledBottomMenuArray();
	  
//$this->showArray($arrayTopMenu);
//echo count($arrayTopMenu, COUNT_RECURSIVE );
/*
		if($arrayTopMenu[100]==""){
			return false;		
		}
*/
		echo "<div style='position:relative'>";
		echo "<div class='menuclass' >";
        echo "<table class='menutoppattern' border='0' cellspacing='0' cellpadding='0'>";
//--------------------------fels� men�sor------------------------------------------------------------------
	        echo "<tr class='menutoppattern'>
					<td ".DEFAULTCUR.">";
			        echo "<table border='0' cellspacing='0' cellpadding='0' align='center'><tr>";
					//if($arrayTopMenu[100]!="")
				        foreach($arrayTopMenu as $actual)
				        {
							if($actual["enabled"]=="1")
							{
							  if($akcio != $actual["akcio"])
								$this->TToolButtonTop($this->getText($actual["caption"]), $actual["width"], $actual["url"], 1, $actual["pic_url"], $actual["caption_original"]);
							  else
								$this->TToolButtonBottom($this->getText($actual["caption"]), $actual["width"], $actual["url"], 1, $actual["pic_url"], $actual["caption_original"]);
							}
							else if(($this->haveRight1(1))||($this->haveRight1(0)))
							{
							  if($akcio != $actual["akcio"])
								$this->TToolButtonTop($this->getText($actual["caption"]), $actual["width"], $actual["url"], 0, $actual["pic_url"], $actual["caption_original"]);
							  else
								$this->TToolButtonBottom($this->getText($actual["caption"]), $actual["width"], $actual["url"], 0, $actual["pic_url"], $actual["caption_original"]);
							}
						}
			        echo "</tr></table>";
			  echo "</td>";
			echo"</tr>";
			echo"<tr>";
		        echo"<td class='menucenterpattern' colspan='1' height='1' ".DEFAULTCUR."></td>";
	        echo"</tr>";
	//--------------------------als� men�sor------------------------------------------------------------------
	        echo"<tr class='menubottompattern'>
					<td ".DEFAULTCUR.">";
			        echo "<table border='0' cellspacing='0' cellpadding='0' align='center'>
  						  <tr>";
					//if($arrayBottomMenu[100]!="")
					{
			        	echo "<td>";					  
				        foreach($arrayBottomMenu as $actual)
				        {
				          if($akcio == $actual["akcio"])
				          {
							if($actual["enabled"]=="1")		
							{	
							  	if($actual["nodename"] == $nodename)
									$this->TToolButtonBottom($this->getText($actual["caption"]), $actual["width"], $actual["url"], 1, $actual["pic_url"], $actual["caption_original"]);
								else
									$this->TToolButtonTop($this->getText($actual["caption"]), $actual["width"], $actual["url"], 1, $actual["pic_url"], $actual["caption_original"]);
							}
							else if(($this->haveRight1(1))||($this->haveRight1(0)))
							{
								$this->TToolButtonBottom($this->getText($actual["caption"]), $actual["width"], $actual["url"], 0, $actual["pic_url"], $actual["caption_original"]);
							}
						  }
						}
						echo "</td>";
					}
			        echo "</tr>
						  </table>";								
			  echo "</td>";
	        echo "</tr>";
        echo "</table>";
		echo "</div>";
		echo "</div>";		
        return true;
    }

	//menu fel�p�t�se
    function getFilledTopMenuArray()
	{
	   $url = "pages/".$_SESSION['LNG']."/topmenu.inc.php";

	   $handle = fopen($url, "r");
	   if($handle)
	   {
	     	if(filesize($url) == 0)
	     		return false;
	     	
			$sorok = fread($handle, filesize($url));
			for($i=1;;$i++)
			{
				$caption = trim(strrev($this->strstr_after(strrev($this->strstr_after($sorok, ":|".$i."CAPTION|:")), strrev(":|/".$i."CAPTION|:"))));
				if($this->getText($caption) != "")
				{
					$width = strrev($this->strstr_after(strrev($this->strstr_after($sorok, ":|".$i."WIDTH|:")), strrev(":|/".$i."WIDTH|:")));
					$url = strrev($this->strstr_after(strrev($this->strstr_after($sorok, ":|".$i."URL|:")), strrev(":|/".$i."URL|:")));
					$akcio = trim(strrev($this->strstr_after(strrev($this->strstr_after($sorok, ":|".$i."AKCIO|:")), strrev(":|/".$i."AKCIO|:"))));
					$nodename = trim(strrev($this->strstr_after(strrev($this->strstr_after($sorok, ":|".$i."NODENAME|:")), strrev(":|/".$i."NODENAME|:"))));					
					$enabled = trim(strrev($this->strstr_after(strrev($this->strstr_after($sorok, ":|".$i."ENABLED|:")), strrev(":|/".$i."ENABLED|:"))));
					$pic_url = trim(strrev($this->strstr_after(strrev($this->strstr_after($sorok, ":|".$i."PICURL|:")), strrev(":|/".$i."PICURL|:"))));
				
				    $menuArray[$akcio]["caption"]= $this->getText($caption);
				    $menuArray[$akcio]["caption_original"]= $caption;
					$menuArray[$akcio]["width"]= $width;
					$menuArray[$akcio]["url"]= $url."?akcio=".$akcio."&nodename=".$nodename;
					$menuArray[$akcio]["url_original"]= $url;
					$menuArray[$akcio]["akcio"]= $akcio;
					$menuArray[$akcio]["nodename"]= $nodename;					
					$menuArray[$akcio]["enabled"]= $enabled;
					$menuArray[$akcio]["pic_url"]= $pic_url;
				}
				else
					break;
			}
			fclose($handle);
		}
	   
       return $menuArray;
    }
    
    function getFilledBottomMenuArray()
	{
	   $url = "pages/".$_SESSION['LNG']."/bottommenu.inc.php";

	   $handle = fopen($url, "r");
	   if($handle)
	   {
	     	if(filesize($url) == 0)
	     		return false;
	     
			$sorok = fread($handle, filesize($url));
			for($i=1;;$i++)
			{
				$caption = trim(strrev($this->strstr_after(strrev($this->strstr_after($sorok, ":|".$i."CAPTION|:")), strrev(":|/".$i."CAPTION|:"))));
				if($this->getText($caption) != "")
				{
					$width = strrev($this->strstr_after(strrev($this->strstr_after($sorok, ":|".$i."WIDTH|:")), strrev(":|/".$i."WIDTH|:")));
					$url = strrev($this->strstr_after(strrev($this->strstr_after($sorok, ":|".$i."URL|:")), strrev(":|/".$i."URL|:")));
					$akcio = trim(strrev($this->strstr_after(strrev($this->strstr_after($sorok, ":|".$i."AKCIO|:")), strrev(":|/".$i."AKCIO|:"))));
					$nodename = trim(strrev($this->strstr_after(strrev($this->strstr_after($sorok, ":|".$i."NODENAME|:")), strrev(":|/".$i."NODENAME|:"))));
					$enabled = trim(strrev($this->strstr_after(strrev($this->strstr_after($sorok, ":|".$i."ENABLED|:")), strrev(":|/".$i."ENABLED|:"))));
					$pic_url = trim(strrev($this->strstr_after(strrev($this->strstr_after($sorok, ":|".$i."PICURL|:")), strrev(":|/".$i."PICURL|:"))));
				
				    $menuArray[$nodename]["caption"]= $this->getText($caption);
				    $menuArray[$nodename]["caption_original"]= $caption;				    
					$menuArray[$nodename]["width"]= $width;
					$menuArray[$nodename]["url"]= $url."?akcio=".$akcio."&nodename=".$nodename;
					$menuArray[$nodename]["url_original"]= $url;
					$menuArray[$nodename]["akcio"]= $akcio;
					$menuArray[$nodename]["nodename"]= $nodename;
					$menuArray[$nodename]["enabled"]= $enabled;
					$menuArray[$nodename]["pic_url"]= $pic_url;
				}
				else
					break;
			}
			fclose($handle);
		}
	   
       return $menuArray;
    }
   
   
    // TToolButton
    function TToolButtonTop($caption="TToolButton", $width="", $url="", $enabled = 1, $picurl="", $mnuazon="")
	{
        echo "<td width='1'>&nbsp;</td>";
        echo "<td class='menubuttoncenterpatern' align='center' valign='middle' nowrap ";
		echo ">";
		
		if($enabled == 0)
	        echo "<img src='./style/lock.gif' border='0'>";
			
	        echo "<a href='./".htmlspecialchars($url)."' title='".$this->titletext." - ".$caption."' ";
			echo   "id='{$mnuazon}' ";
			echo ">";

			if($picurl != "")
			{
				echo '
				<script type="text/javascript" language="javascript" charset="utf-8">
				$(document).ready(function(){
					$("#'.$mnuazon.'").hoverIntent(function(){$("#'.$mnuazon.'_mnupic").animate({"top": "-=6px"}, "fast");},function(){$("#'.$mnuazon.'_mnupic").animate({"top": "+=6px"}, "slow");});
				});
				</script>
				';
			
				echo "<img src='".$picurl."' id=\"{$mnuazon}_mnupic\" name=\"{$mnuazon}_mnupic\" border='0' style='position:absolute;' alt='".$caption."'>";
				echo "&nbsp;&nbsp;&nbsp;&nbsp;";
			}

			echo "<span class='topmenutext'>".$caption."</span>";
			echo "</a>";
        echo "</td>";
        echo "<td width='1'>&nbsp;</td>";
				
        return true;
    }
    
    function TToolButtonBottom($caption="TToolButton", $width="", $url="", $enabled = 1, $picurl="", $mnuazon="")
	{
        echo "<td width='1'>&nbsp;</td>";
        echo "<td class='menuactivecenterpattern' align='center' valign='middle' nowrap>";
			if($enabled == 0)
		        echo "<img src='./style/lock.gif' border='0'>";

	        	echo "<a href='./".htmlspecialchars($url)."' title='".$this->titletext." - ".$caption."'>";				

			if($picurl != "")
			{
				echo '
				<script type="text/javascript" language="javascript" charset="utf-8">
				$(document).ready(function(){
					$("#'.$mnuazon.'").hoverIntent(function(){$("#'.$mnuazon.'_mnupic").animate({"top": "-=6px"}, "fast");},function(){$("#'.$mnuazon.'_mnupic").animate({"top": "+=6px"}, "slow");});
				});
				</script>
				';
			
				echo "<img src='".$picurl."' id=\"{$mnuazon}_mnupic\" name=\"{$mnuazon}_mnupic\" border='0' style='position:absolute;' alt='".$caption."'>";
				echo "&nbsp;&nbsp;&nbsp;&nbsp;";
			}

				echo "<span class='bottommenutext'>".$caption."</span>";
				echo "</a>";
       	echo "</td>";
       	echo "<td width='1'>&nbsp;</td>";
				
        return true;
    }
    
//--------------------------------------------------------------------------�ltal�nos fg-ek

	function replaceAccents($newphrase){
		$newphrase = str_replace("ÃƒÅ“","U",$newphrase);
		$newphrase = str_replace("Ã…Â?","S",$newphrase);
		$newphrase = str_replace("Ã„Â?","G",$newphrase);
		$newphrase = str_replace("Ãƒâ€¡","C",$newphrase);
		$newphrase = str_replace("Ã„Â°","I",$newphrase);
		$newphrase = str_replace("Ãƒâ€“","O",$newphrase);
		$newphrase = str_replace("ÃƒÂ¼","u",$newphrase);
		$newphrase = str_replace("Ã…Å¸","s",$newphrase);
		$newphrase = str_replace("ÃƒÂ§","c",$newphrase);
		$newphrase = str_replace("Ã„Â±","i",$newphrase);
		$newphrase = str_replace("ÃƒÂ¶","o",$newphrase);
		$newphrase = str_replace("Ã„Å¸","g",$newphrase);

		$newphrase = str_replace("Ãœ","U",$newphrase);
		$newphrase = str_replace("Å?","S",$newphrase);
		$newphrase = str_replace("Ä?","G",$newphrase);
		$newphrase = str_replace("Ã‡","C",$newphrase);
		$newphrase = str_replace("Ä°","I",$newphrase);
		$newphrase = str_replace("Ã–","O",$newphrase);
		$newphrase = str_replace("Ã¼","u",$newphrase);
		$newphrase = str_replace("ÅŸ","s",$newphrase);
		$newphrase = str_replace("Ã§","c",$newphrase);
		$newphrase = str_replace("Ä±","i",$newphrase);
		$newphrase = str_replace("Ã¶","o",$newphrase);
		$newphrase = str_replace("ÄŸ","g",$newphrase);

		$newphrase = str_replace("Ü","U",$newphrase);
		$newphrase = str_replace("Ğ","G",$newphrase);
		$newphrase = str_replace("Ş","S",$newphrase);
		$newphrase = str_replace("İ","I",$newphrase);
		$newphrase = str_replace("Ö","O",$newphrase);
		$newphrase = str_replace("Ç","C",$newphrase);
		$newphrase = str_replace("ü","u",$newphrase);
		$newphrase = str_replace("ğ","g",$newphrase);
		$newphrase = str_replace("ş","s",$newphrase);
		$newphrase = str_replace("ı","i",$newphrase);
		$newphrase = str_replace("ö","o",$newphrase);
		$newphrase = str_replace("ç","c",$newphrase);
		
		$newphrase = str_replace("Ù","U",$newphrase);
		$newphrase = str_replace("Ğ","G",$newphrase);
		$newphrase = str_replace("Ş","S",$newphrase);
		$newphrase = str_replace("İ","I",$newphrase);
		$newphrase = str_replace("Ö","O",$newphrase);
		$newphrase = str_replace("Ç","C",$newphrase);
		$newphrase = str_replace("ü","u",$newphrase);
		$newphrase = str_replace("ğ","g",$newphrase);
		$newphrase = str_replace("ş","s",$newphrase);
		$newphrase = str_replace("ı","i",$newphrase);
		$newphrase = str_replace("ö","o",$newphrase);
		$newphrase = str_replace("ç","c",$newphrase);

		$newphrase = str_replace("%u015F","s",$newphrase);
		$newphrase = str_replace("%E7","c",$newphrase);
		$newphrase = str_replace("%FC","u",$newphrase);
		$newphrase = str_replace("%u0131","i",$newphrase);
		$newphrase = str_replace("%F6","o",$newphrase);
		$newphrase = str_replace("%u015E","S",$newphrase);
		$newphrase = str_replace("%C7","C",$newphrase);
		$newphrase = str_replace("%DC","U",$newphrase);
		$newphrase = str_replace("%D6","O",$newphrase);
		$newphrase = str_replace("%u0130","I",$newphrase);
		$newphrase = str_replace("%u011F","g",$newphrase);
		$newphrase = str_replace("%u011E","G",$newphrase);
		
		$newphrase = str_replace("£","E",$newphrase);
		$newphrase = str_replace("é","e",$newphrase);
		$newphrase = str_replace("è","e",$newphrase);
		$newphrase = str_replace("ß","x",$newphrase);
		$newphrase = str_replace(".","",$newphrase);
		$newphrase = str_replace("!","",$newphrase);
		$newphrase = str_replace(",","",$newphrase);
		$newphrase = str_replace("?","",$newphrase);
		$newphrase = str_replace("/","",$newphrase);
		
		$a = 'ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖØÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõöøùúûýýþÿŔŕ';
		$b = 'aaaaaaaceeeeiiiidnoooooouuuuybsaaaaaaaceeeeiiiidnoooooouuuyybyRr';
		$newphrase = utf8_decode($newphrase);    
		$newphrase = strtr($newphrase, utf8_decode($a), $b);
		$newphrase = strtr($newphrase, "Ã Ã¢Ã¤Ã§Ã©Ã¨ÃªÃ«Ã®Ã¯Ã´Ã¶Ã»Ã¼","aaaceeeeiioouu");

		return $newphrase;
	}

	//kis h�rbox
    function ShowNewsBox($url, $urlcaption, $length="") {
        $arrayofcontent = $this->getNewsContent($url);

        $title = $arrayofcontent['title'];
        $content = stripslashes($arrayofcontent['content']);
        $picurl = $arrayofcontent['picurl'];
        $nexturl = $arrayofcontent['nexturl'];
        $enabled = $arrayofcontent['enabled'];		
        $needreg = $arrayofcontent['needreg'];
        $num = $arrayofcontent['num'];
        $pluginurl = $arrayofcontent["pluginurl"];
		$hiddenbox = $arrayofcontent["hiddenbox"];
		
		$anchor = $this->replaceAccents($title);

        if (!((isset($_SESSION['usr_loggedin'])) && ($_SESSION['usr_loggedin'] == "true"))){
            if (($enabled == "false") || ($needreg == "on")){
                return false;
			}		
		}

		if(($hiddenbox == "on")&&(!isset($_SESSION['usr_loggedin']))){
			echo "<div>";
		}
		else{
			echo "<div class='newsdiv ui-corner-all'>";	
		}
		
        echo "<table width='100%' border='0' cellspacing='0' cellpadding='0'>";

        if ($pluginurl != "")
        {
            $plugin = "./plugins/" . $pluginurl . "/" . $pluginurl . ".php";
            include($plugin);
        } 
        else
        {
            echo "<tr>";
			if($hiddenbox != "on"){
				if ($nexturl != '')
					echo "<td align='left'><a name='".$anchor."'></a><h1 class='newsheader'>" . $title . "</h1>";
				else
					echo "<td align='left'><a name='".$anchor."'></a><h1 class='newsheader'>" . $title . "</h1>";
			}
			else{
				echo "<td align='left'>";
			}

            if ($length != ""){
                echo $this->trim_text($content, $length, true, false, $nexturl, $title);			
			}
            else{
                echo $content;			
			}

            echo "</td>";

            if ($needreg == "on"){
                echo "<td align='right' valign='top'><img src='style/loggedin.png' border='0'></td>";			
			}

            echo "</tr>";
			if ($urlcaption == $this->getText("PREV")){			
				echo "<tr>";
					echo "<td height='2' colspan='2' align='right' valign='bottom'>";
						echo"<small><a href=\"javascript:history.go(-1);\" title='" . $title . " - " . $this->getText("PREV") . "'>" . $urlcaption . "</a></small>";
					echo "</td>";
				echo "</tr>";
			}
        }

        if (((isset($_SESSION['usr_loggedin'])) && ($_SESSION['usr_loggedin'] == "true")))
        {
            if (($_SESSION['usr_lng'] == "") || ($_SESSION['usr_lng'] == $_SESSION['LNG']))
            {
                if ($this->haveRight1(1))
                {
                    echo "<tr>";
						echo "<td>";
							echo "<div class='boxpropbox' style='height:50px;'>";
								echo "<div style='float:right'>";
									echo $url . "<br>";
									echo "<b>".$num." </b>";
									if (isset($plugin)){
										echo $plugin . "<br>";
									}

									if ($enabled == "false"){
										echo "<a href='./scr_editor.php?akcio=2&amp;url=" . $url . "'><img src='style/closed.png' border='0'></a>";
									}
									else{
										echo "<a href='./scr_editor.php?akcio=2&amp;url=" . $url . "'><img src='style/opened.png' border='0'></a>";
									}

									if ($pluginurl == ""){
										if (getfileCount($url) != 1){
											if ($this->haveRight1(2)){
												echo "<a href='./scr_editor.php?akcio=3&amp;url=" . $url . "'><img src='style/delete.png' border='0'></a>";
											}
										}
									}

									echo "<a href='./scr_editor.php?akcio=1&amp;url=" . $url . "'><img src='style/new.png' border='0'></a>";
									echo "<b> ".strlen($content) . "/" . $length . "</b><br>";
									echo $nexturl;
								echo "</div>";
							echo "</div>";
						echo "</td>";
                    echo "</tr>";
                }
            }
        }

		$akc = LoadOutsiders('akcio', array(IO_POST, IO_GET), '0');
		$nodenm = LoadOutsiders('nodename', array(IO_POST, IO_GET), '0');
		/*	if($hiddenbox != "on"){
				echo "<tr>";
				echo "<td height='2' colspan='2' align='center' valign='top'>";
				echo '<iframe src="http://www.facebook.com/plugins/like.php?href=http%3A%2F%2F'.$_SERVER["SERVER_NAME"].'%2Fscr_news.php%3Fakcio%3D'.$akc.'%26amp%3Bnodename%3D'.$nodenm.'%26amp%3Bid%3D'.$anchor.'%23'.$anchor.'&amp;layout=button_count&amp;show_faces=false&amp;width=50&amp;action=like&amp;font=verdana&amp;colorscheme=light&amp;height=21" scrolling="no" frameborder="0" style="float:left; border:none; overflow:hidden; width:100px; height:21px;">&nbsp;</iframe>';
				echo "<span class='date' style='float:right'>" . $arrayofcontent["moddate"] . "</span>";
				echo "</td>";
				echo "</tr>";
			}*/
        echo "</table>";
		echo "</div>";

        return true;
    }
    
	function trim_text($input, $length, $ellipses = true, $strip_html = true, $nexturl="", $title="") {
	    //ha ha param�ternek van �rt�ke kiveszi a HTML elemeket
	    if ($strip_html) {
	        $input = strip_tags($input);
	    }
	    //csak akkor v�gjuk le ha hosszabb mind amit mi szeretn�nk
	    if (strlen($input) <= $length) {
	        return $input;
	    }
	    //megkeress�k az utols� space -t
	    $last_space = strrpos(substr($input, 0, $length), ' ');
	    $trimmed_text = substr($input, 0, $last_space);
	    //betessz�k a lev�g�st jelz� karaktereket
	    if ($ellipses) {
	        $trimmed_text .= ' ...';
	    }
		if($nexturl!="")
			$trimmed_text.="<br><span style='float:right;'><a href='./".$nexturl."' title='".$title." - ".$this->getText("NEXT")."'><small>".$this->getText("NEXT")."</small></a></span>";
	    //a lev�gott sz�veg
	    return $trimmed_text;
	}    

	//h�r file-ok feldolgoz� fg-e    
    function getNewsContent($url)
	{
		$arrayofcontent["enabled"] = "";
		$arrayofcontent["title"] = "";
		$arrayofcontent["content"] = "";
		$arrayofcontent["picurl"] = "";
		$arrayofcontent["nexturl"] = "";
		$arrayofcontent["moddate"] = "";
		$arrayofcontent["needreg"] = "";
		$arrayofcontent["hiddenbox"] = "";
		
//		echo $url;

		if(!file_exists($url))
		{
			echo 
			"
			<span class='error'>".$this->getText("ERROR1")."</span><br>
			<span class='errorsub'>(".$url.")</span>
			";
		}
		else
		{
		   $sor="";
		   $handle = fopen($url, "r");
		   if($handle)
		   {
			$sorok = fread($handle, filesize($url));

			$enabled = trim(strrev($this->strstr_after(strrev($this->strstr_after($sorok, ":|ENABLED|:")), strrev(":|/ENABLED|:"))));
			$title = strrev($this->strstr_after(strrev($this->strstr_after($sorok, ":|TITLE|:")), strrev(":|/TITLE|:")));
			$content = strrev($this->strstr_after(strrev($this->strstr_after($sorok, ":|CONTENT|:")), strrev(":|/CONTENT|:")));
			$picurl = trim(strrev($this->strstr_after(strrev($this->strstr_after($sorok, ":|PICURL|:")), strrev(":|/PICURL|:"))));
			$nexturl = strrev($this->strstr_after(strrev($this->strstr_after($sorok, ":|NEXTURL|:")), strrev(":|/NEXTURL|:")));
			$num = trim(strrev($this->strstr_after(strrev($this->strstr_after($sorok, ":|NUM|:")), strrev(":|/NUM|:"))));
			$needreg = trim(strrev($this->strstr_after(strrev($this->strstr_after($sorok, ":|NEEDREG|:")), strrev(":|/NEEDREG|:"))));			
			$pluginurl = trim(strrev($this->strstr_after(strrev($this->strstr_after($sorok, ":|PLUGINURL|:")), strrev(":|/PLUGINURL|:"))));
			$hiddenbox = trim(strrev($this->strstr_after(strrev($this->strstr_after($sorok, ":|HIDDENBOX|:")), strrev(":|/HIDDENBOX|:"))));

            fclose($handle);

			$arrayofcontent["enabled"] = $enabled;
			$arrayofcontent["title"] = $title;
			$arrayofcontent["content"] = $content;
			$arrayofcontent["picurl"] = $picurl;
			$arrayofcontent["nexturl"] = $nexturl;
			$arrayofcontent["num"] = $num;
			$arrayofcontent["moddate"] = date("Y.m.d H:i", filemtime($url));
			$arrayofcontent["needreg"] = $needreg;
			$arrayofcontent["pluginurl"] = $pluginurl;
			$arrayofcontent["hiddenbox"] = $hiddenbox;
		   }
		   else
		   {
			echo 
			"
			<span class='error'>".$this->getText("ERROR2")."</span><br>
			<span class='errorsub'>(".$url.")</span>
			";
		   }
		}
        return $arrayofcontent;
    }    

    //kis k�p kirak�sa
	function showSmallPic($url)
	{
/*      $src = imagecreatefromjpeg($url);
  	  list($width,$height)=getimagesize($url);
	  $newheight=137; $newwidth=145;
	  
	  if(($width != $newheight)||($height != $newheight))
	  {
		$tmp=imagecreatetruecolor($newwidth,$newheight);
		imagecopyresampled($tmp,$src,0,0,0,0,$newwidth,$newheight,$width,$height);
		imagejpeg($tmp,$url,100);
		imagedestroy($tmp);
	  }*/
	  
        echo "    
        <table width='145' border='0' cellspacing='0' cellpadding='0'>
	        <tr>
				<td>
					<img src='./style/picframe_left.png' border='0'>
				</td>
				<td valign='top'>
			        <table width='145' height='140' border='0' cellspacing='0' cellpadding='0'>
				        <tr>
							<td height='4' background='./style/picframe_top.png' ></td>
				        </tr>
				        <tr>
							<td height='132' width='145'>
							<a href='./".$url."' target='_blank'>
							<img src='".$url."' border='0' width='145' height='137'>
							</a>
							</td>
				        </tr>
				        <tr>
							<td height='4' background='./style/picframe_bottom.png' ></td>
				        </tr>
					</table>				
				</td>
				<td>
					<img src='./style/picframe_right.png' border='0'>				
				</td>
	        </tr>
		</table>";

        return true;
	}
	
	//strstr kicsit m�dos�tva, csak a sz�veget adja meg, a megadott karatert nem
	function strstr_after($haystack, $needle, $case_insensitive = false) 
	{
	    $strpos = ($case_insensitive) ? 'stripos' : 'strpos';
	    $pos = $strpos($haystack, $needle);
	    if (is_int($pos)) 
		{
	        return substr($haystack, $pos + strlen($needle));
	    }
	    // Most likely false or null
	    return $pos;
	}

    //debug t�mb tartalm�nak ki�r�sa
	function showArray($array)
	{
        echo "<pre>";
        print_r($array);
        echo "</pre>";
	}

    // napi info
    function toDay(){
        $nap = $this->magyarNap("");

		if($_SESSION['LNG'] == HUNGARIAN)
	        $datum = date("Y.m.d, ", time()).$nap;
	    else
   	        $datum = date("d.m.Y, ", time()).$nap;
        
        return $datum;
    }

    // nap neve magyarul
    function magyarNap($datum) 
	{
        if ($datum <> "")
		{
            $ev = substr($datum,0,4);
            $ho = substr($datum,5,2);
            $nap = substr($datum,8,2);
            $stamp = mktime(0,0,0,$ho,$nap,$ev);
        }
        else 
        {
            $stamp = time();
        }

        if (date("l", $stamp) == "Monday") {$nap = $this->getText("Monday");}
        if (date("l", $stamp) == "Tuesday") {$nap = $this->getText("Tuesday");}
        if (date("l", $stamp) == "Wednesday") {$nap = $this->getText("Wednesday");}
        if (date("l", $stamp) == "Thursday") {$nap = $this->getText("Thursday");}
        if (date("l", $stamp) == "Friday") {$nap = $this->getText("Friday");}
        if (date("l", $stamp) == "Saturday") {$nap = $this->getText("Saturday");}
        if (date("l", $stamp) == "Sunday") {$nap = $this->getText("Sunday");}

        return $nap;
    }
    
    function getText($token)
	{
  	  //$io = new IO;
	  
	  $str = "";
	  if(!isset($_SESSION['LNG'])){
		$_SESSION['LNG'] = DEFLNG;
	  }
	  
	  $url = "./lng/".$_SESSION['LNG']."/lng.inc";
      $handle = fopen($url, "r");
      
      $token1=":|".$token."|:";
      $token2=":|/".$token."|:";
      
      $sorok = fread($handle, filesize($url));
      
      $str = strrev($this->strstr_after(strrev($this->strstr_after($sorok, $token1)), strrev($token2)));
      
      fclose($handle);	 
      
      if($str!="")
		  return $str;
	  else
		  return $token;
	}
	
    function haveRight1($func)
	{
		//0: megtekint�s
		//1: cikk m�dos�t�s 1 3 5 7
		//2: cikk t�rl�s 2 3 6 7
		//4: �j felhaszn�l� felv�tele, felhaszn�l�i jogok m�dos�t�sa 4 5 6 7
	  
	  	if(isset($_SESSION['usr_r1']))
	  	{
			$r1 = $_SESSION['usr_r1'];
		
			switch($func)
			{
			  case 0:
			  			if($r1==0)
			  				return true;
			  			else
			  				return false;
			  case 1:
			  			if(($r1==1)||($r1==3)||($r1==5)||($r1==7))
			  				return true;
			  			else
			  				return false;
			  case 2:
			  			if(($r1==2)||($r1==3)||($r1==6)||($r1==7))
			  				return true;
			  			else
			  				return false;
			  case 4:
			  			if(($r1==4)||($r1==5)||($r1==6)||($r1==7))
			  				return true;
			  			else
			  				return false;
			  default:
			  			return false;
			}
		}
		else
			return false;
	}
	
    // sz�m input, csak sz�mot fogad el
    function inputNumbers($fieldname, $maxlength, $value = "")
	{
		echo "
				<input 
				type='text' 
				id='".$fieldname."' 
				name='".$fieldname."' 
				maxlength='".$maxlength."' 
				size='".$maxlength."' 
				value='".$value."'
				onkeyup=\"javascript:this.value=this.value.replace(/[^0-9]/g, '');\">
			";
		
        return true;
    }
    
    //stripos php4 miatt
	function stripos($haystack, $needle)
	{
	    return strpos($haystack, stristr( $haystack, $needle ));
	}    

    //get lngs
	function getLngs()
	{
	    $lngs = ""; $i = 0; $dir = "./lng/";
		$dh  = opendir($dir);
		while (false !== ($filename = readdir($dh)))
		{
		  if(($filename != ".")&&($filename != ".."))
		  {
		   $lngurl = $dir.$filename."/lng.inc";
		   if(file_exists($lngurl))
		   {
			   $handle = fopen($lngurl, "r");
			   if($handle)
			   {
				$sorok = fread($handle, filesize($lngurl));
				$lngname = trim(strrev($this->strstr_after(strrev($this->strstr_after($sorok, ":|LNGNAME|:")), strrev(":|/LNGNAME|:"))));
				
				$lngs[$i]["FILENAME"] = $filename;
				$lngs[$i]["LNGNAME"] = $lngname;
				$i++;			
			   }
			   fclose($handle);
		    }
		  }
		}
		closedir($dh);
	    
	    return $lngs;
	}    
	
}

// OSZT�LYON K�V�LI M�VELETEK =================================================================================================

	// megsz�molja h�ny olyan nev� file van a k�nyvt�ron bel�l
    function getfileCount($url)
	{
	  	$io = new IO;
	  	
  	    $filecount = 0;
  	    
		$filename = substr($url, strlen(trim(strrev($io->strstr_after(strrev($io->strstr_after($url, "/")), strrev("/")))))+3 );
		$filename = strrev(substr(strrev($filename), 4));
		$filename = getStrWithoutNumeric($filename);
		$directory = substr($url, 0, strlen(trim(strrev($io->strstr_after(strrev($io->strstr_after($url, "/")), strrev("/")))))+2);

		$filecount = findInDirectory($directory, $filename);
		
		return $filecount;
	}

	// kiszedi a numerikus karaktereket a stringb�l
    function getStrWithoutNumeric($str)
	{
	  	$value="";
	  	
		for($i = 0; $i != strlen($str); $i++) 
		{
		  	if(!is_numeric($str[$i]))
				$value.= $str[$i];
		}
	
		return $value;
	}
	
	// file keres�se
    function findInDirectory($path, $filename="")
	{
	  $filecount = 0;
		if ($handle = opendir($path))
		{
			/* This is the correct way to loop over the directory. */
			while (false !== ($file = readdir($handle))) 
			{
			  if(($file == ".")||($file == ".."))
			  	continue;
			  	
			    if($filename == substr($file, 0, strlen($filename)))
			    {
//		  		    echo" |".$filename." - ".substr($file, 0, strlen($filename))."| ";			      
					$filecount++;
			    }
			}
			
			closedir($handle);
		}
		
		return $filecount;
	}

    function DoSlash($str) 
	{
        return (get_magic_quotes_gpc())?($str):(addslashes($str));
    }

    // K�ls� adatok �tv�tele
    // LoadOutsiders( [ide a k�ls� adat nev�t] , [ide a t�mb�t, ami a sorrendet t�rolja] , [alap�rtelmezett �rt�k, default = null] )
    function LoadOutsidersSlash($name, $types, $default = null){
        foreach ($types as $type) {
            switch ($type) {
                case IO_GET :
                    if (isset($_GET[$name])){
                        if ($_GET[$name] != "") {
                            return DoSlash($_GET[$name]);
                        }
                        else {
                            return DoSlash($default);
                        }
                    }
                    break;
                case IO_POST :
                    if (isset($_POST[$name])) {
                        if ($_POST[$name] != "") {
                            return DoSlash($_POST[$name]);
                        }
                        else {
                            return DoSlash($default);
                        }
                    }
                    break;
                case IO_SESSION :
                    if (isset($_SESSION[$name])) {
                        if ($_SESSION[$name] != "") {
                            return DoSlash($_SESSION[$name]);
                        }
                        else {
                            return DoSlash($default);
                        }
                    }
                    break;
            }
        }
    return DoSlash($default);
    }

    // K�ls� adatok �tv�tele
    // LoadOutsiders( [ide a k�ls� adat nev�t] , [ide a t�mb�t, ami a sorrendet t�rolja] , [alap�rtelmezett �rt�k, default = null] )
    function LoadOutsiders($name, $types, $default = null){
        foreach ($types as $type) {
            switch ($type) {
                case IO_GET :
                    if (isset($_GET[$name])){
                        if ($_GET[$name] != "") {
                            return $_GET[$name];
                        }
                        else {
                            return $default;
                        }
                    }
                    break;
                case IO_POST :
                    if (isset($_POST[$name])) {
                        if ($_POST[$name] != "") {
                            return $_POST[$name];
                        }
                        else {
                            return $default;
                        }
                    }
                    break;
                case IO_SESSION :
                    if (isset($_SESSION[$name])) {
                        if ($_SESSION[$name] != "") {
                            return $_SESSION[$name];
                        }
                        else {
                            return $default;
                        }
                    }
                    break;
            }
        }
    return $default;
  }
  
	function alert($s)
	{
		echo "
			<script type='text/javascript'>
				alert(\"".$s."\");
			</script> 
			";	
	}
	
	function random_color()
	{
	    mt_srand((double)microtime()*1000000);
	    $c = '';
	    while(strlen($c)<6)
	        $c .= sprintf("%02X", mt_rand(0, 255));

	    return $c;
    }
	
?>
